Subject: Re: [bug#78069] [PATCH 0/1] libsecret: Add bin output.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 29 Apr 2025 23:44:21 +0200

Am Montag, dem 28.04.2025 um 23:01 -0300 schrieb Gabriel Santos:
> > I'm not sure if that is worth it; you'd save about 5 megabytes on
> > the
> > closure of keepassxc, [...]
> 
> Oh, I didn't do it for space reasons, it's just that the thought of
> "there's a whole library in my profile when I only what the binary"
> keeps annoying me, it's just kind of a nitpick. I wanted my profile
> to have as little development-related software as possible (I don't
> even have GCC installed) so I could keep this information at the
> project level.
I get where you're coming from, but in the grand scheme of things, lib/
is quite often very relevant to GNOME-adjacent software (to which
libsecret belongs).  Since you don't end up polluting your environment
variables, the cost of additional symlinks is likely negligible.

Cheers